Page MenuHomePhabricator

Switching from a VE section edit to wikitext goes to full document, even if no changes have been made
Closed, ResolvedPublic

Description

If a change has been made we have to go to full document mode (as ref changes can modify the whole document), but if there are no changes we can stay in section mode.

See T221905.

Event Timeline

Esanders created this task.Apr 26 2019, 6:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2019, 6:01 PM

Change 504318 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Fix switching without changes

https://gerrit.wikimedia.org/r/504318

Esanders claimed this task.Apr 29 2019, 2:56 PM

Change 504318 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix switching without changes

https://gerrit.wikimedia.org/r/504318

ppelberg closed this task as Resolved.Jun 19 2019, 12:15 AM